'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var TextField = function TextField(_ref) {
    var children = _ref.children,
        text = _ref.text,
        ns = _ref.ns,
        className = _ref.className;

    if (!children || !children.length) return _react2.default.createElement(
        'span',
        { className: className },
        text
    );

    var childrenWithExtraProps = _react2.default.Children.map(children, function (child) {
        return _react2.default.cloneElement(child, {
            className: className,
            text: text,
            ns: ns
        });
    });
    return childrenWithExtraProps;
}; /** @format */


TextField.displayName = 'TextField';

exports.default = TextField;